Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Russell Adams <[email-masked]>
Date: Fri, 27 Nov 2020 11:45:20 +0100

On Thu, Nov 26, 2020 at 09:20:42PM +0200, Eli Zaretskii wrote:
> > Date: Thu, 26 Nov 2020 17:54:36 +0100
> > From: Russell Adams <[email-masked]>
> >
> > At one point I was watching htop and every time I switched to the
> > Emacs window and returned to htop, I'd see it grow by several more MB
> > over 3-5 seconds and then stop. So I left Emacs as the focused window
> > overnight, and it grew from 4GB to 8GB.
> >
> > In this instance, I had my cursor at the bottom of a saved Org file. I
> > wasn't even actively typing or interacting with Emacs. I just grew
> > each time it got window focus.
>
> OK, so an idling Emacs with one focused frame gains about 0.5GB every
> hour, would that be more or less accurate?
>
> > Yes I have a few timers, but those trip at midnight. I call org-agenda
> > and org-caldev-sync. I don't have any other timers that I know of.
>
> Just so we have the hard evidence: could you please show the values of
> timer-list and timer-idle-list on that system?
>
> Thanks.
>

           3.15     1.00 appt-check
           8.38        - undo-auto--boundary-timer
         117.38     5.00 savehist-autosave
        1143.17    60.00 url-cookie-write-file
       44223.15  1440.00 org-save-all-org-buffers
       44283.15  1440.00 org-agenda-list
       44343.15  1440.00 org-caldav-sync
   *       0.00        t show-paren-function
   *       0.50        t #f(compiled-function () #<bytecode 0x1ffd99dba7bf> [jit-lock--antiblink-grace-timer jit-lock-context-fontify])
   *       1.00        - helm-ff--cache-mode-refresh

Unfortunately the Emacs that was 8GB has since been stopped, I killed
it before working with the trace files. My laptop was rebooted later
when the trace statistics utils ate all the RAM (my error, wrong input
file).

This list of timers is from a new instance, but the configuration
hasn't changed.

Are the 50+GB of trace files I have of any value?

------------------------------------------------------------------
Russell Adams                            [email-masked]

PGP Key ID:     0x1160DCB3           http://www.adamsinfoserv.com/

Fingerprint:    1723 D8CA 4280 1EC9 557F  66E8 1154 E018 1160 DCB3